
Redmine - Defect #13092

Bug On Start Date and Due Date

2013-02-06 16:01 - Alexandre Le Madec

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Hi,

This is production environnement :

-Redmine 1.3.0.stable.8319 (SQLServer)

-SQL SERVER 2008 r2

-Windows Server 2008 r2

I have a bug to display start date and due date. Look 2013-02-06_1552.png to see what happen.

If i update ticket, this is log file entry :

issue"=>{"start_date"=>"2013-02-08", "estimated_hours"=>"", "parent_issue_id"=>"", "priority_id"=>"3", "project_id"=>"22",

"is_private"=>"0", "lock_version"=>"0", "done_ratio"=>"0", "assigned_to_id"=>"16", "subject"=>"TEST DATEa", "tracker_id"=>"4",

"due_date"=>"2013-02-14", "status_id"=>"1", "description"=>"azeazeazeazeaze\r\naze\r\naz\r\neaz\r\neaz\r\ne\r\naze"},

"controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

But Redmine display

due date : 01/02/2013.

It's like a cut the date.

In my Database, i have the correct entry : Look 2013-02-06_1558.png

I try to update my developpement production to :

-Redmine 1.4.4.stable

-SQL SERVER 2008 r2

-Windows Server 2008 r2

I had the same error.

Can you help me please ?

Thank you very much

History

#1 - 2013-02-06 17:25 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

SQL Server is not supported by Redmine, it will be with next 2.3.0 release.

#2 - 2013-02-06 17:32 - Etienne Massip

FWIW, it works on trunk (2.3.0 when it will be released).

#3 - 2013-02-06 17:33 - Alexandre Le Madec

Ok,

Thank you for the information.
